Category:  Estimated time: 0.00 hour

Target version: 1.4.1   

Description

Associated revisions

Revision 135 - 10/22/2019 06:06 AM - lmurphey

Fixing functional Python 2+3 issues

Reference #2471

History

#1 - 10/21/2019 10:29 PM - Luke Murphey

Questions:

Should I be string encoding the reply?

Observations:

RadiusAuth requires that the password be bytes

The test test_user_login is failing because the secret is not binary

Options:

Convert items() from reply

Convert in UserInfo constructor

Convert in save()

#2 - 10/21/2019 10:47 PM - Luke Murphey

test_auth_auth_info_roles_override is failing

Observations:

The roles are getting written to the auth CSV

loadFile() is not seeing the roles

loadRolesMap() seems to be doing the comparison wrong due to username being bytes

Questions:

05/06/2024 1/2



where does the JSON get written?

loadFile()

#3 - 10/21/2019 11:59 PM - Luke Murphey

Things that take bytes:

hashlib

re (needs to convert from bytse since this is what radius library provides)

radius auth

#4 - 10/22/2019 01:10 AM - Luke Murphey

Problem: test_user_login is failing

Observations

Getting the following with userLogin:

Logging in with:  b'bob' b'hello' b'127.0.0.1' b'testing123'

ant test.unit_only -Dtest=TestMainAuthMethods.test_user_login

Getting the following with :

Logging in with:  b'bob' b'hello' b'127.0.0.1' b'testing123'

ant test.unit_only -Dtest=TestRadiusAuth.test_auth_valid

The issue is that the types are being loaded wrong from the conf file

The issue can be fixed by having authenticate() do a conversion to bytes

#5 - 10/22/2019 06:07 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
